У Вас не удалена папка /install/?
Хакеры идут к Вам!!!

Файловый Архив

  • Неограниченное количество категорий и суб-категорий
  • Настройки прав доступа по группам
  • Настройки прав доступа по каждой категории
  • Предпросмотр медиа файлов: FLV, IFLV, F4A, F4V, MP4, MP3, MOV и других...
  • Мультизагрузка файлов - SWFUploader
  • Добавление файлов с сервера
Подробности и история обновлений продукта в этой теме
Loading

Go Back   форум vBSupport.org > >
Register Изображения Меню vBsupport Files Manager Аллея Звёзд Реклама на форуме Search Today's Posts Mark Forums Read
  • Мемберка
  • Администраторам
  • Premoderation
  • For English speaking users
  • Изменения в правах
  • Каталог Фрилансеров
Пароли на скачивание файлов в Member Area меняются автоматически каждый день
Если вам нужно скачать какой то скрипт, за паролем ко мне в ЛС
привет какирам kerk
Ещё раз обращаем Ваше внимание: всё, что Вы скачиваете и устанавливаете на свой форум, Вы устанавливаете исключительно на свой страх и риск.
Сообщество vBSupport'а физически не в состоянии проверять все стили, хаки и нули, выкладываемые пользователями.
Помните: безопасность Вашего проекта - Ваша забота.
Убедительная просьба: при обнаружении уязвимостей или сомнительных кодов обязательно отписывайтесь в теме хака/стиля
Спасибо за понимание
На форуме введена премодерация ВСЕХ новых пользователей

Почта с временных сервисов, типа mailinator.com, gawab.com и/или прочих, которые предоставляют временный почтовый ящик без регистрации и/или почтовый ящик для рассылки спама, отслеживается и блокируется, а так же заносится в спам-блок форума, аккаунты удаляются
for English speaking users:
You may be surprised with restriction of access to the attachments of the forum. The reason is the recent change in vbsupport.org strategy:

- users with reputation < 10 belong to "simple_users" users' group
- if your reputation > 10 then administrator (kerk, Luvilla) can decide to move you into an "improved" group, but only manually

Main idea is to increase motivation of community members to share their ideas and willingness to support to each other. You may write an article for the subject where you are good enough, you may answer questions, you may share vbulletin.com/org content with vbsupport.org users, receiving "thanks" equal your reputation points. We should not only consume, we should produce something.

- you may:
* increase your reputation (doing something useful for another members of community) and being improved
* purchase temporary access to the improved category:
10 $ for 3 months. - this group can download attachments, reputation/posts do not matter.
20 $ for 3 months. - this group can download attachments, reputation/posts do not matter + adds eliminated + Inbox capacity increased + files manager increased permissions.

Please contact kerk or Luvilla regarding payments.

Important!:
- if your reputation will become less then 0, you will be moved into "simple_users" users' group automatically.*
*for temporary groups (pre-paid for 3 months) reputation/posts do not matter.
Не можете скачать вложение?
Изменения в правах групп пользователей
внимательно читаем эту и эту темы
Короткая версия - тут
Уважаемые пользователи!

На форуме открыт новый раздел "Каталог фрилансеров"

и отдельный раздел для платных заказов "Куплю/Закажу"

 
 
Old  
mescaliN
Продвинутый
 
mescaliN's Avatar
Default Патч для vBulletin - 4.0.0 PL2 и 3.7.7 3



Команда разработчиков vBulletin обнаружила потенциальную угрозу, связанную с уровнем безопасности шифрования паролей. В связи с чем был выпущен очередной патч.

В некоторых, пусть и редких, случаях хакер мог получить доступ (не напрямую через vBulletin, а, например, через криво сделанный плагин) к базе данных и расшифровать пароль администратора и других пользователей.

Патч изменяет способ генерирования хэша паролей, чтобы предотвратить некоторые методы расшифровывания паролей. Имейте также ввиду, что новый хэш будет сгенерирован только после смены пароля. Поэтому настоятельно рекомендуется после установки патча изменить пароли всем администраторам. Также не помешает сменить пароли и остальным пользователям.

Чтобы защититься от вышеописанной уязвимости, необходимо сделать следующее:
  • Если у вас установлен vB 3.7.x - обновитесь до 3.7.7.
  • Если у вас установлен vB 3.8.x - обновитесь до 3.8.5.
  • Если у вас установлен vB 4.0.0 или 4.0.1 - обновитесь до 4.0.2 PL2.
  • Если у вас установлен vB 4.0.2 PL1, то процесс обновления немного будет таков:
    1. Скачайте патч PL2 для 4.0.2.
    2. Отключите форум.
    3. Загрузите файлы патча к себе на FTP.
    4. Запустите ссылку http://путь_до_вашего_сайта/install/...e_402_salt.php.
    5. Включите форум.
Примечание: если пользователь изменит пароль после того, как файлы патча будут залиты на FTP, но файл upgrade_402_salt.php не будет запущен, то пользователь не сможет авторизоваться. Ему нужно будет восстановить пароль повторно, после того, как вы запустите upgrade_402_salt.php. Выключение форума предотвратит эту вероятность в период обновления (хотя она и так мала).


Патч не защищает на 100% от подбора пароля. Для усложнения процедуры подбора необходимо соблюдать пару несложных правил:
  1. Минимальная длина пароля - 6 символов. Но лучше конечно больше.
  2. Используйте в пароле вперемешку строчные и прописные буквы, цифры, знаки препинания.
  3. Избегайте часто употребляемых слов или слов, найденных в словарях, т.к. они используются в первую очередь при переборе.
Также рекомендуется администраторам, которые администрируют несколько сайтов, использовать для каждого свой пароль. Подобрав случайно пароль на одном, менее защищенном сайте, злоумышленник первым делом попробует этот же пароль на другом.


Патч 4.0.2 PL 2 также закрывает XSS уязвимость, найденную на странице поиска. vBulletin 3 этой уязвимости не имеет.

(с) vbstyle.ru
 
Bot
Yandex Bot Yandex Bot is online now
 
Join Date: 05.05.2005
Реклама на форуме А что у нас тут интересного? =)
Old  
Fine
Эксперт
Default 0

Quote:
Originally Posted by mescaliN View Post
Скачайте патч PL2 для 4.0.2.
А хде скачать то?
Я не вижу ссылку :(
 
Old  
mescaliN
Продвинутый
 
mescaliN's Avatar
Default 0

имелось ввиду у кого лицензия, а патча у меня нету :(
 
Old  
Fine
Эксперт
Default 0

Бу ,(
 
Old  
NightWish
Продвинутый
Default 0

Есть полная версия уже с патчем (кракнутая). Если найду отдельно патчик - сразу выложу сюда.
 
Old  
Hobot
Эксперт
 
Hobot's Avatar
Default 4

4.0.2 Pl2 (только патч) - http://slil.ru/28846428
 
Old  
kerk
k0t
 
kerk's Avatar
Default 3

зеркало vBsupport.org
4.0.2 Pl2 Patch
 
Old  
SeM13
Знаток
 
SeM13's Avatar
Default 1

Code:
Warning: require_once(./upgradecore.php) [function.require-once]: failed to open stream: No such file or directory in E:\WebServers\www\forum\install\upgrade_402_salt.php  on line 25

Fatal error: require_once() [function.require]: Failed opening required './upgradecore.php' (include_path='.;E:\WebServers\Smarty') in E:\WebServers\www\forum\install\upgrade_402_salt.php on line 25
Выскакивает вот такая вот ошибка по переходу по адресу упграйда.
Строки от 24 до 52:
PHP Code:
// require the code that makes it all work...
require_once('./upgradecore.php');

// #############################################################################

    
if ($vbulletin->options['templateversion'] == VERSION)
    {
        
// widen the user salt
        
$upgrade->run_query(
            
sprintf($upgradecore_phrases['altering_x_table'], 'user'11),
            
"ALTER TABLE " TABLE_PREFIX "user MODIFY salt CHAR(30) NOT NULL DEFAULT ''"
        
);
        
        echo 
"<blockquote><p>vBulletin " VERSION " Security Patch</p>";
        echo 
"<p>";
        
$upgrade->execute();    
        echo 
"</p><p>Completed</p></blockquote>";
        
print_upgrade_footer();
    }
    else
    {
        echo 
"<blockquote><p>&nbsp;</p>";
        echo 
"<p>Your vBulletin version does not appear to match with the version for which this script was created (version <b>" VERSION "</b>).</p>\n<p>Please ensure that you are attempting to run the correct script.</p>";
        echo 
"<p>&nbsp;</p></blockquote>";
        
print_upgrade_footer();
    }


// ############################################################################# 
 
Old  
Fine
Эксперт
Default 3

Аналогично.
Мне кажется папку install надо целую копировать с нормального дистрибутива, не?
Пойду попробую

---

Собственно ололо вот в чем, копирнул я из дистрибутива 4.0.2 с файлового архива папку install, кинул файлы от патча, который Kerk залил.
Запустил файл, написали мне мол обновились таблицы, отлично.
Теперь в админке в верху vBulletin 4.0.2 vBulletin - Pl2 By Leenkat.com
Зашел я собственно туда, а там народное китайское творчество (для меня все что не русское то китайское, поэтому если там вьетнамское не ругайте).
Вопрос то в чем, это нормаха?

Last edited by Fine : 03-24-2010 at 10:19 PM.
 
 

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT +4. The time now is 03:49 PM.


Powered by vBulletin® Version 3.8.3
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd.